PHP Manual
Prev |  | Next

# ora_exec

(PHP 3, PHP 4, PHP 5 <= 5.1.0RC1)

ora_exec -- Execute a parsed statement on an Oracle cursor

## Description

bool ora_exec ( resource cursor )

Executes the parsed statement `cursor`.

## Parameters

`cursor`

  An Oracle cursor, already parsed by ora_parse().

## Return Values

Returns `TRUE` on success or `FALSE` on failure. Details about the error can be retrieved using the ora_error() and ora_errorcode() functions.

## ChangeLog

Version | Description
--- | ---
5.1.0 | The oracle extension is deprecated in favor of oci8.

## Notes

When using oci8 as a replacement for the deprecated oracle extension, consider using:

oci_execute()

## See Also

ora_parse()
ora_fetch()
ora_do()

Prev | Home | Next
ora_errorcode | Up | ora_fetch_into